# RPM specfile for libsigc++ module
# Generated Mon Mar  4 21:38:29 2002 GMT by Ximian build system
# $Id: bb_do,v 1.176 2002/03/01 20:26:34 thunder Exp $
# from $Id: ximian-build.conf,v 1.25 2001/11/02 20:52:02 dobey Exp $

%define nam	libsigc++
%define ver	1.0.4
%define ximrev	1

Name:     	sigc++
Version: 	1.0.4
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.1 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages
URL:		http://libsigc.sourceforge.net/
Source0:	libsigc++-1.0.4.tar.gz
Summary:	Typesafe Signal Framework - runtime
Group:		System Environment/Libraries
Provides:	libsigc++ = %{PACKAGE_VERSION}
Provides:	lsigcpp = %{PACKAGE_VERSION}
Provides:	ximian-sigc++ = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	libsigc++

%description
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally
part of the Gtk-- widget set, libsigc++ is now a separate library to
provide for more general use. It is the most complete library of its
kind with the ablity to connect an abstract callback to a class
method, function, or function object. It contains adaptor classes for
connection of dissimilar callbacks and has an ease of use unmatched
by other C++ callback libraries. Libsigc++ is licensed under the GNU
LGPL.

%files
%defattr(-, root, root)
%doc INSTALL NEWS TODO README
/opt/gnome/lib/*.so.*


%package -n sigc++-devel
Summary:	Typesafe Signal Framework - development files
Group:		Development/Libraries
Requires:	sigc++ = %{PACKAGE_VERSION}
Provides:	libsigc++-devel = %{PACKAGE_VERSION}
Provides:	lsigcppd = %{PACKAGE_VERSION}
Provides:	ximian-sigc++-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	libsigc++-devel

%description -n sigc++-devel
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally
part of the Gtk-- widget set, libsigc++ is now a separate library to
provide for more general use. It is the most complete library of its
kind with the ablity to connect an abstract callback to a class
method, function, or function object. It contains adaptor classes for
connection of dissimilar callbacks and has an ease of use unmatched
by other C++ callback libraries. Libsigc++ is licensed under the GNU
LGPL.

%files -n sigc++-devel
%defattr(-, root, root)
/opt/gnome/lib/sigc++-1.0/
/opt/gnome/lib/*.a
/opt/gnome/lib/*.la
/opt/gnome/lib/*.so
/opt/gnome/bin/*
/opt/gnome/include/*
/opt/gnome/share/aclocal/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libsigc++-1.0.4
    ;;
all)
%setup  -q -n libsigc++-1.0.4
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon Mar 4 2002 Ximian, Inc.

- Version: 1.0.4-1.ximian.1
- Summary: New build.
- New automated build.

